PDA

View Full Version : Vista and Prerequisites



g.noyer
06-23-2006, 10:38 AM
Hello

I need to do some choice according Windows Vista.

As you know, Windows Vista is very restricitve about launching programs.

Can you say me if InstallShield Prerequisistes are Compatible with Vista, and what I need to launch another setup.exe from a prerequisite.

Today if I used Prerequisite this work on Windows XP but I have error on Vista.

On Vista I have the error "The installation of MyProduc appears to have failed. Do you want to continue the installation.

For Vista, what is the recommendation about prerequisites launching a setup.exe.
Thanks for your help.
Regards.

MichaelU
06-23-2006, 10:55 AM
There's nothing specific to Vista about the way our prerequisites function. How does the setup.exe you are trying to install as a prerequisite behave if you launch it manually on Vista? If it gives the same error in those circumstances, running it as a prerequisite will not change it.

(However later releases of Vista may... Gotta love moving targets!)

g.noyer
06-23-2006, 11:13 AM
my mains setup install few file in [INSTALLDIR]
the prerequisite is Java2 Standard edition run time environment 5.0 update 1
my setup is not signed.
My main setup.exe is compact (only one file)